
ChiliProject - Bug # 938: Extra lines in view section of the respository

Status: Open Priority: Normal
Author: Kranti Konganti Category:
Created: 2012-03-20 Assignee:
Updated: 2012-03-28 Due date:
Remote issue URL:
Affected version:
Description: Hi, I recently upgraded from chiliproject v2.6.X to v3.0.0. Everything seems to work nicely, except when 

viewing code in the repository.
There seems to be an extra line between each line of code. Also, I use redmine_repo_pygments for syntax 
highlighting. This plugin worked perfectly with my v2.6.X install with some minor modifications to _file.rhtml 
and annotate.rhtml files.

In @_file.rhtml@, this line
<pre>
<% syntax_highlight(filename, to_utf8(content)).each_line do |line| %>
</pre>
was changed to
<pre>
<% syntax_highlight(filename, to_utf8_for_attachments(content)).each_line do |line| %>
</pre>

and in @annotate.rhtml@, 
<pre>
<% syntax_highlight(@path, to_utf8(@annotate.content)).each_line do |line| %>
</pre>
was changed to 
<pre>
<% syntax_highlight(@path, to_utf8_for_repositories(@annotate.content)).each_line do |line| %>
</pre>

Although the core _file.rhtml and annotate.rhtml in v3.0.0 comes with these changes, I still see the extra lines.

History
2012-03-20 03:08 am - Kranti Konganti
- Target version set to 3.1.0

- Assignee set to Eric Davis

2012-03-20 08:21 am - Holger Just
- Target version deleted (3.1.0)

- Assignee deleted (Eric Davis)

Please assign neither a target version nor an assignee as we use it to track who committed himself to handle an issue for which version.

2012-03-28 08:03 am - Robert Mitwicki
hi,
As I see You use plugin code_review, right?
Because after adding this plugin I've got the same problem.
And solution for that is to change css style:

application.css:1636
<pre>
#content table.issues td, #content table th {
	border:1px solid #e6e6e6;
	padding: 6px;
	text-align:left;
	position:relative;
	vertical-align:top;
}
</pre>

exactly padding from 6px to 1px for example as I did.
can someone from core dev could confirm that it could be added as fix for this issue? 
In my opinion with 1px is ok.
